#include "zonefile_cod4_ps3.h"

#include <QFile>
#include <QDataStream>
#include <QDebug>

ZoneFile_COD4_PS3::ZoneFile_COD4_PS3()
    : ZoneFile() {

}

ZoneFile_COD4_PS3::~ZoneFile_COD4_PS3() {

}

bool ZoneFile_COD4_PS3::Load(const QByteArray aFileData) {
    return true;
}

Utils::AssetType ZoneFile_COD4_PS3::AssetStrToEnum(const QString aAssetType) {
    const QString cleanedType = aAssetType.toUpper();
    if (cleanedType == "00000003") {
        return Utils::ASSET_XMODEL;
    } else if (cleanedType == "00000002") {
        return Utils::ASSET_Animation;
    } else if (cleanedType == "00000007") {
        return Utils::ASSET_MATERIAL;
    } else if (cleanedType == "00000009") {
        return Utils::ASSET_TECHNIQUE_SET;
    } else if (cleanedType == "0000000C") {
        return Utils::ASSET_COL_MAP_SP;
    } else if (cleanedType == "0000000E") {
        return Utils::ASSET_D3DBSP;
    } else if (cleanedType == "0000000F") {
        return Utils::ASSET_GAME_MAP_SP;
    } else if (cleanedType == "00000012") {
        return Utils::ASSET_GFX_MAP;
    } else if (cleanedType == "00000019") {
        return Utils::ASSET_WEAPON;
    } else if (cleanedType == "0000001B") {
        return Utils::ASSET_FX;
    } else if (cleanedType == "00000018") {
        return Utils::ASSET_SOUND;
    }
    return Utils::ASSET_NONE;
}
